org.eclipse.graphiti.internal.contextbuttons

## Interface IContextButtonPadDeclaration

All Known Implementing Classes:
  AbstractContextButtonPadDeclaration, SpecialContextButtonPadDeclaration, StandardContextButtonPadDeclaration

    public interface IContextButtonPadDeclaration

This interface provides the visual definition for the context button pad.

The context button pad consists of three pads (top, right, bottom), which are slightly overlapping, so that they build one coherent area. Several context buttons are placed inside those three pads and also outside (e.g. the collapse button).

### Nested Class Summary

Nested Classes
`static class` `IContextButtonPadDeclaration.PadStyle`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.awt.Rectangle` `getBottomPad()` Returns the rectangular bounds of the bottom pad.
`java.util.List<java.awt.Rectangle>` `getContainmentRectangles()` Returns the rectangular bounds around all visible areas of the context button pad.
`java.util.List<java.awt.Rectangle>` `getOverlappingContainmentRectangles()` Returns the overlapping rectangular bounds around all visible areas of the context button pad.
`int` `getPadCornerRadius()` Returns the corner radius which is used to paint all corners of the pad.
`double` `getPadDefaultOpacity()` Returns the opacity which is used when painting the pad.
`IColorConstant` `getPadFillColor()` Returns the color in which the pads outline is filled.
`IColorConstant` `getPadInnerLineColor()` Returns the color in which the inner line of the pads outline is painted.
`int` `getPadLineWidth()` Returns the line width which is used to paint the outline of the pad.
`IColorConstant` `getPadMiddleLineColor()` Returns the color in which the middle line of the pads outline is painted.
`IColorConstant` `getPadOuterLineColor()` Returns the color in which the outer line of the pads outline is painted.
`java.util.List<PositionedContextButton>` `getPositionedContextButtons()` Returns the context buttons to be placed on the context button pad.
`java.awt.Rectangle` `getRightPad()` Returns the rectangular bounds of the right pad.
`IContextButtonPadDeclaration.PadStyle` `getRightPadStyle()` Returns the top pad style.
`java.awt.Rectangle` `getTopPad()` Returns the rectangular bounds of the top pad.
`IContextButtonPadDeclaration.PadStyle` `getTopPadStyle()` Returns the top pad style.

### Method Detail

#### getPositionedContextButtons

    java.util.List<PositionedContextButton> getPositionedContextButtons()

Returns the context buttons to be placed on the context button pad. Each `PositionedContextButton` contains information about the visual definition of the context button.

Returns:
  The context buttons to be placed on the context button pad.

#### getTopPad

    java.awt.Rectangle getTopPad()

Returns the rectangular bounds of the top pad. Can be null.

Returns:
  The rectangular bounds of the top pad. Can be null.

#### getRightPad

    java.awt.Rectangle getRightPad()

Returns the rectangular bounds of the right pad. Can be null.

Returns:
  The rectangular bounds of the right pad. Can be null.

#### getBottomPad

    java.awt.Rectangle getBottomPad()

Returns the rectangular bounds of the bottom pad. Can be null.

Returns:
  The rectangular bounds of the bottom pad. Can be null.

#### getTopPadStyle

    IContextButtonPadDeclaration.PadStyle getTopPadStyle()

Returns the top pad style.

Returns:
  The top pad style.

#### getRightPadStyle

    IContextButtonPadDeclaration.PadStyle getRightPadStyle()

Returns the top pad style.

Returns:
  The top pad style.

#### getContainmentRectangles

    java.util.List<java.awt.Rectangle> getContainmentRectangles()

Returns the rectangular bounds around all visible areas of the context button pad. They might or might not overlap. A point is defined to be on the context button pad, if it is inside one of those rectangles.

Returns:
  The rectangular bounds around all visible areas of the context button pad.

#### getOverlappingContainmentRectangles

    java.util.List<java.awt.Rectangle> getOverlappingContainmentRectangles()

Returns the overlapping rectangular bounds around all visible areas of the context button pad. All rectangles overlap and build an area, which has no free space in the middle. A point is defined to be on or inside the context button pad, if it is inside one of those rectangles.

Returns:
  The overlapping rectangular bounds around all visible areas of the context button pad.

#### getPadCornerRadius

    int getPadCornerRadius()

Returns the corner radius which is used to paint all corners of the pad.

Returns:
  The corner radius which is used to paint all corners of the pad.

#### getPadLineWidth

    int getPadLineWidth()

Returns the line width which is used to paint the outline of the pad.

Returns:
  The line width which is used to paint the outline of the pad.

#### getPadOuterLineColor

    IColorConstant getPadOuterLineColor()

Returns the color in which the outer line of the pads outline is painted. Note, that the pad is outlined with three adjacent lines (outer, middle, inner) and then filled inside.

Returns:
  The color in which the outer line of the pads outline is painted.

#### getPadMiddleLineColor

    IColorConstant getPadMiddleLineColor()

Returns the color in which the middle line of the pads outline is painted. Note, that the pad is outlined with three adjacent lines (outer, middle, inner) and then filled inside.

Returns:
  The color in which the middle line of the pads outline is painted.

#### getPadInnerLineColor

    IColorConstant getPadInnerLineColor()

Returns the color in which the inner line of the pads outline is painted. Note, that the pad is outlined with three adjacent lines (outer, middle, inner) and then filled inside.

Returns:
  The color in which the inner line of the pads outline is painted.

#### getPadFillColor

    IColorConstant getPadFillColor()

Returns the color in which the pads outline is filled. Note, that the pad is outlined with three adjacent lines (outer, middle, inner) and then filled inside.

Returns:
  The color in which the pads outline is filled.

#### getPadDefaultOpacity

    double getPadDefaultOpacity()

Returns the opacity which is used when painting the pad. Possible values are between 0.0 (invisible, transparent) and 1.0 (completely visible, opaque).

Returns:
  The opacity which is used when painting the pad.